
<div id="app">
  <nav class="navbar navbar-expand-lg navbar-light" style="background-color: #e3f2fd; margin-top: 80px ;font-size: 20px;
  ">

    <a href="#" class="navbar-brand">Formation</a>
    <ul class="navbar-nav mr-auto" routerLinkActive="active">
      <li class="nav-item">
        <a href="/home" class="nav-link" routerLink="home"> Home</a>
      </li>
      
    <ul class="navbar-nav ml-auto" >
      <li class="nav-item">
        <a href="/register" class="nav-link" routerLink="register">Sign Up</a>
      </li>
      <li class="nav-item">
        <a href="/" class="nav-link" routerLink="login">Login</a>
      </li>
    </ul>
    
    </ul>
  </nav>

<br><br><br>
<div class="login-content align-content">
  <div class="login-logo align-content ">
      <img
        id="profile-img"
        src="//ssl.gstatic.com/accounts/ui/avatar_2x.png"
        class="profile-img-card"
      />
      <form
        *ngIf="!isLoggedIn"
        name="form"
        (ngSubmit)="f.form.valid && onSubmit(form) " 
        #f="ngForm"
        novalidate
      >
        <div class="form-group">
          <label for="username">Username</label>
          <input
            type="text"
            class="form-control"
            name="username"
            [(ngModel)]="form.username"
            required
            #username="ngModel"
          />
          <div
            class="alert alert-danger"
            role="alert"
            *ngIf="username.errors && f.submitted"
          >
            Username is required!
          </div>
        </div>
        <div class="form-group">
          <label for="password">Password</label>
          <input
            type="password"
            class="form-control"
            name="password"
            [(ngModel)]="form.password"
            required
            minlength="3"
            #password="ngModel"
          />
          <div
            class="alert alert-danger"
            role="alert"
            *ngIf="password.errors && f.submitted"
          >
            <div *ngIf="password.errors?.['required']">Password is required</div>
            <div *ngIf="password.errors?.['minlength']">
              Password must be at least 6 characters
            </div>
          </div>
        </div>
        <div class="form-group">
          <button  class="btn btn-primary btn-block">
            Login
          </button>
        </div>
        <div class="form-group">
          <div
            class="alert alert-danger"
            role="alert"
            *ngIf="f.submitted && isLoginFailed"
          >
            Login failed: {{ errorMessage }}
          </div>
        </div>
      </form>
      <div class="alert alert-success" *ngIf="isLoggedIn">
        Logged in as {{ roles }}.

        <div class="alert alert-success" *ngIf="isLoggedIn" > 
                <a  routerLink="/dashboard"> Go to dashboard   </a> </div>
    
           </div>
        </div>
    </div>
